if (document.querySelectorAll('input[data-check="compare"]') != null) {
    document.querySelectorAll('input[data-check="compare"]').forEach(function (item) {
        item.addEventListener('keyup', (e) => {
            var input_id = e.currentTarget.getAttribute('id');
            var target_id = e.currentTarget.getAttribute('data-target');
            compareInputs(input_id, target_id);
        });
        item.addEventListener('focus', (e) => {
            var input_id = e.currentTarget.getAttribute('id');
            var target_id = e.currentTarget.getAttribute('data-target');
            compareInputs(input_id, target_id);
        });
    });
}

function compareInputs(element, target) {
    var source_element = document.getElementById(element);
    var target_element = document.getElementById(target);
    if (source_element.value != target_element.value || source_element.value.trim() == '') {
        source_element.classList.add('has-error');
        target_element.classList.add('has-error');
    } else {
        source_element.classList.remove('has-error');
        target_element.classList.remove('has-error');
    }
}


window.addEventListener('load', function () {
    document.getElementById("password-reset-form").onsubmit = function (event) {
        event.preventDefault();
        event.stopPropagation();

        request('/common/api/user/password-reset.php', '#password-reset-form', function (data) {
            try {
                data = JSON.parse(data);
                if (!(data instanceof Array)) {
                    new Toast({
                        type: "danger",
                        title: "Bir şeyler ters gitti.",
                        message: "Lütfen daha sonra tekrar deneyiniz.",
                        close: false
                    });
                } else {
                    var error_msg = "";
                    var success_msg = "";
                    for (var i = 0; i < data.length; ++i) {
                        if (!data[i].status) {
                            error_msg += data[i].message + "\n";
                        } else {
                            success_msg += data[i].message + "\n";
                        }
                    }

                    if (success_msg != "") {
                        CustomAlert({
                            message: 'Parolanız güncellenmiştir. Yeni parolanızı bir sonraki girişinizde kullanabilirsiniz.',
                            type: "success",
                            showCancelButton: false,
                            showConfirmButton: true,
                            confirmButtonText: 'Tamam'
                        }).then((result) => {
                            window.location.href = "/admin";
                        });
                    } else {
                        CustomAlert({
                            message: error_msg,
                            type: "error",
                            showCancelButton: false,
                            showConfirmButton: true,
                            confirmButtonText: 'Tamam'
                        });
                    }
                }
            } catch (e) {
                new Toast({
                    type: "danger",
                    message: "Bilinmeyen bir hata oluştu. Lütfen daha sonra tekrar deneyiniz.",
                    close: false
                });
            }
        });
    };
});
